diff -Naur usbip-0.1.4/src/lib/vhci_driver.c trunk/src/lib/vhci_driver.c
--- usbip-0.1.4/src/lib/vhci_driver.c	2007-05-18 11:10:09.000000000 +0200
+++ trunk/src/lib/vhci_driver.c	2007-05-18 11:10:07.000000000 +0200
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2005-2006 Takahiro Hirofuchi
+ * Copyright (C) 2005-2007 Takahiro Hirofuchi
  */
 
 
@@ -8,55 +8,14 @@
 
 static const char vhci_driver_name[] = "vhci_hcd";
 
+struct usbip_vhci_driver *vhci_driver;
 
-#if 0
-static struct sockaddr_storage *get_sockaddr_s(char *ipaddr, char *ipport, struct sockaddr_storage *ss)
-{
-	struct addrinfo hints, *res;
-	int ret;
-
-	/* kernel api should be changed to be simpler */
-	while(*ipaddr == '0' && *ipaddr != '\0')
-		ipaddr += 1;
-
-	while(*ipport == '0' && *ipport != '\0')
-		ipport += 1;
-
-	bzero(&hints, sizeof(hints));
-	hints.ai_socktype = SOCK_STREAM;
-	hints.ai_flags    = AI_NUMERICHOST;
-
-	ret = getaddrinfo(ipaddr, ipport, &hints, &res);
-	if(ret) {
-		err("getaddrinfo %s", gai_strerror(ret));
-	}
-
-	if(res->ai_addrlen > sizeof(*ss)) {
-		err("sockaddr too large");
-		freeaddrinfo(res);
-		return NULL;
-	}
-
-	memcpy(ss, res->ai_addr, res->ai_addrlen);
-
-	freeaddrinfo(res);
-
-	return ss;
-}
-#endif
-
-
-
-
-
-
-static struct usbip_imported_device *imported_device_init(struct usbip_vhci_driver *driver, 
-		struct usbip_imported_device *idev, char *busid)
+static struct usbip_imported_device *imported_device_init(struct usbip_imported_device *idev, char *busid)
 {
 	struct sysfs_device *sudev;
 
 	sudev = sysfs_open_device("usb", busid);
-	if(!sudev) {
+	if (!sudev) {
 		err("sysfs_open_device %s", busid);
 		goto err;
 	}
@@ -65,13 +24,13 @@
 
 	/* add class devices of this imported device */
 	struct class_device *cdev;
-	dlist_for_each_data(driver->cdev_list, cdev, struct class_device) {
-		if(!strncmp(cdev->devpath, idev->udev.path, strlen(idev->udev.path))) {
+	dlist_for_each_data(vhci_driver->cdev_list, cdev, struct class_device) {
+		if (!strncmp(cdev->devpath, idev->udev.path, strlen(idev->udev.path))) {
 			struct class_device *new_cdev;
 
 			/* alloc and copy because dlist is linked from only one list */
 			new_cdev = calloc(1, sizeof(*new_cdev));
-			if(!new_cdev) 
+			if (!new_cdev)
 				goto err;
 
 			memcpy(new_cdev, cdev, sizeof(*new_cdev));
@@ -87,29 +46,29 @@
 
 
 
-static int parse_status(char *value, struct usbip_vhci_driver *driver)
+static int parse_status(char *value)
 {
 	int ret = 0;
 	char *c;
 
-	
-	for(int i = 0; i < driver->nports; i++)
-		bzero(&driver->idev[i], sizeof(struct usbip_imported_device));
+
+	for (int i = 0; i < vhci_driver->nports; i++)
+		bzero(&vhci_driver->idev[i], sizeof(struct usbip_imported_device));
 
 
 	/* skip a header line */
 	c = strchr(value, '\n') + 1;
 
-	while(*c != '\0') {
+	while (*c != '\0') {
 		int port, status, speed, busnum, devnum;
 		unsigned long socket;
 		char lbusid[SYSFS_BUS_ID_SIZE];
 
-		ret = sscanf(c, "%d %d %d %d %d %lx %s\n", 
+		ret = sscanf(c, "%d %d %d %d %d %lx %s\n",
 				&port, &status, &speed, &busnum,
 				&devnum, &socket, lbusid);
 
-		if(ret < 5) {
+		if (ret < 5) {
 			err("scanf %d", ret);
 			BUG();
 		}
@@ -121,7 +80,7 @@
 
 		/* if a device is connected, look at it */
 		{
-			struct usbip_imported_device *idev = &driver->idev[port];
+			struct usbip_imported_device *idev = &vhci_driver->idev[port];
 
 			idev->port	= port;
 			idev->status	= status;
@@ -129,14 +88,14 @@
 			idev->devnum	= devnum;
 
 			idev->cdev_list = dlist_new(sizeof(struct class_device));
-			if(!idev->cdev_list) {
+			if (!idev->cdev_list) {
 				err("init new device");
 				return -1;
 			}
 
-			if(idev->status != VDEV_ST_NULL && idev->status != VDEV_ST_NOTASSIGNED) {
-				idev = imported_device_init(driver, idev, lbusid);
-				if(!idev) {
+			if (idev->status != VDEV_ST_NULL && idev->status != VDEV_ST_NOTASSIGNED) {
+				idev = imported_device_init(idev, lbusid);
+				if (!idev) {
 					err("init new device");
 					return -1;
 				}
@@ -154,7 +113,7 @@
 }
 
 
-static int check_usbip_device(struct usbip_vhci_driver *driver,  struct sysfs_class_device *cdev)
+static int check_usbip_device(struct sysfs_class_device *cdev)
 {
 	char clspath[SYSFS_PATH_MAX];	/* /sys/class/video4linux/video0/device     */
 	char devpath[SYSFS_PATH_MAX];	/* /sys/devices/platform/vhci_hcd/usb6/6-1:1.1  */
@@ -164,18 +123,18 @@
 	snprintf(clspath, sizeof(clspath), "%s/device", cdev->path);
 
 	ret = sysfs_get_link(clspath, devpath, SYSFS_PATH_MAX);
-	if(!ret) {
-		if(!strncmp(devpath, driver->hc_device->path,
-					strlen(driver->hc_device->path))) { 
+	if (!ret) {
+		if (!strncmp(devpath, vhci_driver->hc_device->path,
+					strlen(vhci_driver->hc_device->path))) {
 			/* found usbip device */
 			struct class_device *cdev;
 
-			cdev = calloc(1, sizeof*cdev);
-			if(!cdev) {
+			cdev = calloc(1, sizeof(*cdev));
+			if (!cdev) {
 				err("calloc cdev");
 				return -1;
 			}
-			dlist_unshift(driver->cdev_list, (void*) cdev);
+			dlist_unshift(vhci_driver->cdev_list, (void*) cdev);
 			strncpy(cdev->clspath, clspath, sizeof(cdev->clspath));
 			strncpy(cdev->devpath, devpath, sizeof(cdev->clspath));
 			dbg("  found %s %s", clspath, devpath);
@@ -186,7 +145,7 @@
 }
 
 
-static int search_class_for_usbip_device(struct usbip_vhci_driver *driver, char *cname)
+static int search_class_for_usbip_device(char *cname)
 {
 	struct sysfs_class *class;
 	struct dlist *cdev_list;
@@ -194,7 +153,7 @@
 	int ret = 0;
 
 	class = sysfs_open_class(cname);
-	if(!class) {
+	if (!class) {
 		err("open class");
 		return -1;
 	}
@@ -202,14 +161,14 @@
 	dbg("class %s", class->name);
 
 	cdev_list = sysfs_get_class_devices(class);
-	if(!cdev_list) 
+	if (!cdev_list)
 		/* nothing */
 		goto out;
 
 	dlist_for_each_data(cdev_list, cdev, struct sysfs_class_device) {
 		dbg("   cdev %s", cdev->name);
-		ret = check_usbip_device(driver, cdev);
-		if(ret < 0) 
+		ret = check_usbip_device(cdev);
+		if (ret < 0)
 			goto out;
 	}
 
@@ -220,7 +179,7 @@
 }
 
 
-static int refresh_class_device_list(struct usbip_vhci_driver *driver)
+static int refresh_class_device_list(void)
 {
 	int ret;
 	struct dlist *cname_list;
@@ -228,14 +187,14 @@
 
 	/* search under /sys/class */
 	cname_list = sysfs_open_directory_list("/sys/class");
-	if(!cname_list) {
+	if (!cname_list) {
 		err("open class directory");
 		return -1;
 	}
 
 	dlist_for_each_data(cname_list, cname, char) {
-		ret = search_class_for_usbip_device(driver, cname);
-		if(ret < 0) {
+		ret = search_class_for_usbip_device(cname);
+		if (ret < 0) {
 			sysfs_close_list(cname_list);
 			return -1;
 		}
@@ -244,22 +203,22 @@
 	sysfs_close_list(cname_list);
 
 	/* seach under /sys/block */
-	ret = search_class_for_usbip_device(driver, SYSFS_BLOCK_NAME);
-	if(ret < 0)
+	ret = search_class_for_usbip_device(SYSFS_BLOCK_NAME);
+	if (ret < 0)
 		return -1;
 
 	return 0;
 }
 
 
-static int refresh_imported_device_list(struct usbip_vhci_driver *driver)
+static int refresh_imported_device_list(void)
 {
 	struct sysfs_attribute *attr_status;
 
 
-	attr_status = sysfs_get_device_attr(driver->hc_device, "status");
-	if(!attr_status) {
-		err("get attr %s of %s", "status", driver->hc_device->name);
+	attr_status = sysfs_get_device_attr(vhci_driver->hc_device, "status");
+	if (!attr_status) {
+		err("get attr %s of %s", "status", vhci_driver->hc_device->name);
 		return -1;
 	}
 
@@ -268,17 +227,17 @@
 
 	dbg("%s", attr_status->value);
 
-	return parse_status(attr_status->value, driver);
+	return parse_status(attr_status->value);
 }
 
-static int get_nports(struct usbip_vhci_driver *driver)
+static int get_nports(void)
 {
 	int nports = 0;
 	struct sysfs_attribute *attr_status;
 
-	attr_status = sysfs_get_device_attr(driver->hc_device, "status");
-	if(!attr_status) {
-		err("get attr %s of %s", "status", driver->hc_device->name);
+	attr_status = sysfs_get_device_attr(vhci_driver->hc_device, "status");
+	if (!attr_status) {
+		err("get attr %s of %s", "status", vhci_driver->hc_device->name);
 		return -1;
 	}
 
@@ -293,7 +252,7 @@
 		/* skip a header line */
 		c = strchr(attr_status->value, '\n') + 1;
 
-		while(*c != '\0') {
+		while (*c != '\0') {
 			/* go to the next line */
 			c = strchr(c, '\n') + 1;
 			nports += 1;
@@ -312,25 +271,25 @@
 	struct dlist *hc_devs;
 
 	int found = 0;
- 
+
         snprintf(sdriver_path, SYSFS_PATH_MAX, "%s/%s/platform/%s/%s",
                                 sysfs_mntpath, SYSFS_BUS_NAME, SYSFS_DRIVERS_NAME,
                                 vhci_driver_name);
- 
+
         sdriver = sysfs_open_driver_path(sdriver_path);
-        if(!sdriver) {
+        if (!sdriver) {
 		info("%s is not found", sdriver_path);
                 info("load vhci-hcd.ko !");
                 return -1;
         }
 
 	hc_devs = sysfs_get_driver_devices(sdriver);
-	if(!hc_devs) {
+	if (!hc_devs) {
 		err("get hc list");
 		goto err;
 	}
 
-	/* only vhci_hcd */
+	/* assume only one vhci_hcd */
 	dlist_for_each_data(hc_devs, hc_dev, struct sysfs_device) {
 		strncpy(hc_busid, hc_dev->bus_id, SYSFS_BUS_ID_SIZE);
 		found = 1;
@@ -339,7 +298,7 @@
 err:
 	sysfs_close_driver(sdriver);
 
-	if(found)
+	if (found)
 		return 0;
 
 	err("not found usbip hc");
@@ -349,110 +308,115 @@
 
 /* ---------------------------------------------------------------------- */
 
-struct usbip_vhci_driver *usbip_vhci_driver_open(void)
+int usbip_vhci_driver_open(void)
 {
 	int ret;
 	char hc_busid[SYSFS_BUS_ID_SIZE];
-	struct usbip_vhci_driver *driver;
-
 
-	driver = (struct usbip_vhci_driver *) calloc(1, sizeof(*driver));
-	if(!driver) {
-		err("alloc driver");
-		return NULL;
+	vhci_driver = (struct usbip_vhci_driver *) calloc(1, sizeof(*vhci_driver));
+	if (!vhci_driver) {
+		err("alloc vhci_driver");
+		return -1;
 	}
 
-	ret = sysfs_get_mnt_path(driver->sysfs_mntpath, SYSFS_PATH_MAX);
-	if(ret < 0) {
+	ret = sysfs_get_mnt_path(vhci_driver->sysfs_mntpath, SYSFS_PATH_MAX);
+	if (ret < 0) {
 		err("sysfs must be mounted");
 		goto err;
 	}
 
-	ret = get_hc_busid(driver->sysfs_mntpath, hc_busid);
-	if(ret < 0)
+	ret = get_hc_busid(vhci_driver->sysfs_mntpath, hc_busid);
+	if (ret < 0)
 		goto err;
 
 	/* will be freed in usbip_driver_close() */
-	driver->hc_device = sysfs_open_device("platform", hc_busid);
-	if(!driver->hc_device) {
-		err("get sysfs driver");
+	vhci_driver->hc_device = sysfs_open_device("platform", hc_busid);
+	if (!vhci_driver->hc_device) {
+		err("get sysfs vhci_driver");
 		goto err;
 	}
 
-	driver->nports = get_nports(driver);
+	vhci_driver->nports = get_nports();
 
-	info("%d ports available\n", driver->nports);
+	info("%d ports available\n", vhci_driver->nports);
 
-	driver->cdev_list = dlist_new(sizeof(struct class_device));
-	if(!driver->cdev_list)
+	vhci_driver->cdev_list = dlist_new(sizeof(struct class_device));
+	if (!vhci_driver->cdev_list)
 		goto err;
 
-	if(refresh_class_device_list(driver))
+	if (refresh_class_device_list())
 		goto err;
 
-	if(refresh_imported_device_list(driver))
+	if (refresh_imported_device_list())
 		goto err;
 
 
-	return driver;
+	return 0;
 
 
 err:
-	if(driver->cdev_list)
-		dlist_destroy(driver->cdev_list);
-	if(driver->hc_device)
-		sysfs_close_device(driver->hc_device);
-	if(driver)
-		free(driver);
-	return NULL;
+	if (vhci_driver->cdev_list)
+		dlist_destroy(vhci_driver->cdev_list);
+	if (vhci_driver->hc_device)
+		sysfs_close_device(vhci_driver->hc_device);
+	if (vhci_driver)
+		free(vhci_driver);
+
+	vhci_driver = NULL;
+	return -1;
 }
 
 
-void usbip_vhci_driver_close(struct usbip_vhci_driver *driver)
+void usbip_vhci_driver_close()
 {
-	if(driver->cdev_list)
-		dlist_destroy(driver->cdev_list);
+	if (!vhci_driver)
+		return;
+
+	if (vhci_driver->cdev_list)
+		dlist_destroy(vhci_driver->cdev_list);
 
-	for(int i = 0; i < driver->nports; i++) {
-		if(driver->idev[i].cdev_list)
-			dlist_destroy(driver->idev[i].cdev_list);
+	for (int i = 0; i < vhci_driver->nports; i++) {
+		if (vhci_driver->idev[i].cdev_list)
+			dlist_destroy(vhci_driver->idev[i].cdev_list);
 	}
 
-	if(driver->hc_device)
-		sysfs_close_device(driver->hc_device);
-	free(driver);
+	if (vhci_driver->hc_device)
+		sysfs_close_device(vhci_driver->hc_device);
+	free(vhci_driver);
+
+	vhci_driver = NULL;
 }
 
 
-int usbip_vhci_refresh_device_list(struct usbip_vhci_driver *driver)
+int usbip_vhci_refresh_device_list(void)
 {
-	if(driver->cdev_list)
-		dlist_destroy(driver->cdev_list);
+	if (vhci_driver->cdev_list)
+		dlist_destroy(vhci_driver->cdev_list);
 
 
-	for(int i = 0; i < driver->nports; i++) {
-		if(driver->idev[i].cdev_list)
-			dlist_destroy(driver->idev[i].cdev_list);
+	for (int i = 0; i < vhci_driver->nports; i++) {
+		if (vhci_driver->idev[i].cdev_list)
+			dlist_destroy(vhci_driver->idev[i].cdev_list);
 	}
 
-	driver->cdev_list = dlist_new(sizeof(struct class_device));
-	if(!driver->cdev_list)
+	vhci_driver->cdev_list = dlist_new(sizeof(struct class_device));
+	if (!vhci_driver->cdev_list)
 		goto err;
 
-	if(refresh_class_device_list(driver))
+	if (refresh_class_device_list())
 		goto err;
 
-	if(refresh_imported_device_list(driver))
+	if (refresh_imported_device_list())
 		goto err;
 
 	return 0;
 err:
-	if(driver->cdev_list)
-		dlist_destroy(driver->cdev_list);
+	if (vhci_driver->cdev_list)
+		dlist_destroy(vhci_driver->cdev_list);
 
-	for(int i = 0; i < driver->nports; i++) {
-		if(driver->idev[i].cdev_list)
-			dlist_destroy(driver->idev[i].cdev_list);
+	for (int i = 0; i < vhci_driver->nports; i++) {
+		if (vhci_driver->idev[i].cdev_list)
+			dlist_destroy(vhci_driver->idev[i].cdev_list);
 	}
 
 	err("refresh device list");
@@ -460,11 +424,10 @@
 }
 
 
-int usbip_vhci_get_free_port(struct usbip_vhci_driver *driver)
+int usbip_vhci_get_free_port(void)
 {
-
-	for(int i = 0; i < driver->nports; i++) {
-		if(driver->idev[i].status == VDEV_ST_NULL)
+	for (int i = 0; i < vhci_driver->nports; i++) {
+		if (vhci_driver->idev[i].status == VDEV_ST_NULL)
 			return i;
 	}
 
@@ -472,26 +435,25 @@
 }
 
 
-int usbip_vhci_import_device2(struct usbip_vhci_driver *driver,
-		uint8_t port, int sockfd, uint8_t busnum,
+int usbip_vhci_attach_device(uint8_t port, int sockfd, uint8_t busnum,
 		uint8_t devnum, uint32_t speed)
 {
 	struct sysfs_attribute *attr_attach;
-	char newvalue[200]; /* what size should be ? */
+	char buff[200]; /* what size should be ? */
 	int ret;
 
-	attr_attach = sysfs_get_device_attr(driver->hc_device, "attach");
-	if(!attr_attach) {
+	attr_attach = sysfs_get_device_attr(vhci_driver->hc_device, "attach");
+	if (!attr_attach) {
 		err("get attach");
 		return -1;
 	}
 
-	snprintf(newvalue, 200, "%u %u %u %u %u",
+	snprintf(buff, sizeof(buff), "%u %u %u %u %u",
 			port, sockfd, busnum, devnum, speed);
-	dbg("writing: %s", newvalue);
+	dbg("writing: %s", buff);
 
-	ret = sysfs_write_attribute(attr_attach, newvalue, strlen(newvalue));
-	if(ret < 0) {
+	ret = sysfs_write_attribute(attr_attach, buff, strlen(buff));
+	if (ret < 0) {
 		err("write to attach failed");
 		return -1;
 	}
@@ -501,39 +463,24 @@
 	return 0;
 }
 
-
-int usbip_vhci_import_device(struct usbip_vhci_driver *driver, uint8_t port,
-		int sockfd, struct usb_device *udev)
-{
-	int ret;
-
-	ret = usbip_vhci_import_device2(driver, port, sockfd, 
-			udev->busnum, udev->devnum, udev->speed);
-	if(ret < 0)
-		err("import device");
-
-	return ret;
-}
-
-
-int usbip_vhci_detach_device(struct usbip_vhci_driver *driver, uint8_t port)
+int usbip_vhci_detach_device(uint8_t port)
 {
 	struct sysfs_attribute  *attr_detach;
-	char newvalue[200]; /* what size should be ? */
+	char buff[200]; /* what size should be ? */
 	int ret;
 
-	attr_detach = sysfs_get_device_attr(driver->hc_device, "detach");
-	if(!attr_detach) {
+	attr_detach = sysfs_get_device_attr(vhci_driver->hc_device, "detach");
+	if (!attr_detach) {
 		err("get detach");
 		return -1;
 	}
 
-	snprintf(newvalue, 200, "%u", port);
+	snprintf(buff, sizeof(buff), "%u", port);
 	dbg("writing to detach");
-	dbg("writing: %s", newvalue);
+	dbg("writing: %s", buff);
 
-	ret = sysfs_write_attribute(attr_detach, newvalue, strlen(newvalue));
-	if(ret < 0) {
+	ret = sysfs_write_attribute(attr_detach, buff, strlen(buff));
+	if (ret < 0) {
 		err("write to detach failed");
 		return -1;
 	}
@@ -542,5 +489,3 @@
 
 	return 0;
 }
-
-
diff -Naur usbip-0.1.4/src/lib/vhci_driver.h trunk/src/lib/vhci_driver.h
--- usbip-0.1.4/src/lib/vhci_driver.h	1970-01-01 01:00:00.000000000 +0100
+++ trunk/src/lib/vhci_driver.h	2007-05-18 11:10:07.000000000 +0200
@@ -0,0 +1,54 @@
+/*
+ * Copyright (C) 2005-2007 Takahiro Hirofuchi
+ */
+
+#ifndef _VHCI_DRIVER_H
+#define _VHCI_DRIVER_H
+
+#include "usbip.h"
+
+
+
+#define MAXNPORT 128
+
+struct class_device {
+	char clspath[SYSFS_PATH_MAX];
+	char devpath[SYSFS_PATH_MAX];
+};
+
+struct usbip_imported_device {
+	uint8_t port;
+	uint32_t status;
+
+	uint8_t busnum;
+	uint8_t devnum;
+
+
+	struct dlist *cdev_list;	/* list of class device */
+	struct usb_device udev;
+};
+
+struct usbip_vhci_driver {
+	char sysfs_mntpath[SYSFS_PATH_MAX];
+	struct sysfs_device *hc_device; /* /sys/devices/platform/vhci_hcd */
+
+	struct dlist *cdev_list;	/* list of class device */
+
+	int nports;
+	struct usbip_imported_device idev[MAXNPORT];
+};
+
+
+extern struct usbip_vhci_driver *vhci_driver;
+
+int usbip_vhci_driver_open(void);
+void usbip_vhci_driver_close(void);
+
+int  usbip_vhci_refresh_device_list(void);
+
+
+int usbip_vhci_get_free_port(void);
+int usbip_vhci_attach_device(uint8_t port, int sockfd, uint8_t busnum,
+		uint8_t devnum, uint32_t speed);
+int usbip_vhci_detach_device(uint8_t port);
+#endif
diff -Naur usbip-0.1.4/src/Makefile.am trunk/src/Makefile.am
--- usbip-0.1.4/src/Makefile.am	2007-05-18 11:10:10.000000000 +0200
+++ trunk/src/Makefile.am	2007-05-18 11:10:08.000000000 +0200
@@ -1,3 +1,8 @@
 SUBDIRS = lib cmd
 includedir=@includedir@/usbip
+include_HEADERS = lib/usbip.h lib/usbip_common.h lib/vhci_driver.h lib/stub_driver.h
 
+if INSTALL_USBIDS
+pkgdata_DATA = usb.ids
+EXTRA_DIST = $(pkgdata_DATA)
+endif
diff -Naur usbip-0.1.4/src/NEWS trunk/src/NEWS
--- usbip-0.1.4/src/NEWS	2007-05-18 11:10:10.000000000 +0200
+++ trunk/src/NEWS	2007-05-18 11:10:08.000000000 +0200
@@ -1,5 +1,20 @@
 # vim:tw=78:ts=4:expandtab:ai:sw=4
-# $Id: NEWS 208 2006-11-12 15:22:24Z taka-hir $
+# $Id: NEWS 243 2007-02-06 12:50:03Z taka-hir $
+
+usbip-0.1.5
+    - Fix: "make dist" works.
+    - Cleanup: use autoreconf instead.
+    - Cleanup: change vhci_driver as a global value in libusbip.
+    - Cleanup: change stub_driver as a global value in libusbip.
+    - Cleanup: trim unused spaces.
+    - Add: version info in configure.ac
+    - Fix: auto detection of "glib-2.0 >= 2.6.0"
+    - Add: mailing list information in README
+    - Cleanup: use daemon(3), instead.
+    - Add: usb.ids 
+    - setsockopt in userland
+    - Add: 2.6.20 support?
+    - Fix: use spin_lock_init() instead of SPIN_...
 
 usbip-0.1.4
     - Fix: compile error & warning fix for 2.6.19
diff -Naur usbip-0.1.4/src/README trunk/src/README
--- usbip-0.1.4/src/README	2007-05-18 11:10:10.000000000 +0200
+++ trunk/src/README	2007-05-18 11:10:08.000000000 +0200
@@ -2,7 +2,7 @@
 #
 # README for usbip-utils
 #
-# Copyright (C) 2005-2006 Takahiro Hirofuchi <taka-hir@is.naist.jp>
+# Copyright (C) 2005-2007 Takahiro Hirofuchi <taka-hir@is.naist.jp>
 
 
 [Note]
@@ -17,24 +17,18 @@
     - libwrap0-dev
         tcp wrapper library
 
-    - hwdata
-        /usr/share/hwdata/usb.ids
-
     - usbip device drivers
         For mainline kernels, it is included under usbip-utils/drivers/.
 
     - gcc >= 4.0
 
-    - libglib2.0-dev
+    - libglib2.0-dev >= 2.6.0
 
     - libtool, automake-1.9, autoconf >= 2.5.0, pkg-config
 
 [Install]
     0. Skip here if you see a configure script.
-        $ aclocal
-        $ autoheader
-        $ automake-1.9 -a -c -f
-        $ autoconf
+        $ ./autogen.sh
 
     1. Compile & install.
         $ ./configure
